Package csb :: Package bio :: Package hmm :: Class HMMLayersCollection

[frames] | no frames]

# Class HMMLayersCollection

source code

                  object --+
                           |
        core.AbstractIndexer --+
                               |
    core.BaseCollectionContainer --+
                                   |
            core.CollectionContainer --+
                                       |
                                      HMMLayersCollection

Provides consecutive, 1-based access to all of the layers in the profile. Each profile layer contains a catalog of available states at that index, e.g.:

    >>> profile.layers[i]
    the catalog at profile layer i
    >>> profile.layers[i][States.Deletion]
    the deletion state at index i

Instance Methods

__init__(self, layers=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `core.CollectionContainer`: `append` Inherited from `core.BaseCollectionContainer`: `__bool__`, `__contains__`, `__getitem__`, `__iter__`, `__len__`, `__nonzero__`, `__repr__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `core.BaseCollectionContainer`: `last_index`, `length`, `start_index` Inherited from `object`: `__class__`

Method Details

### __init__(self, layers=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `layers` (list) - initialization list of HMMLayers
Overrides: object.__init__
  (inherited documentation)